LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-31-2009, 10:10 AM   #16
jstephens84
Senior Member
 
Registered: Sep 2004
Location: Nashville
Distribution: Manjaro, RHEL, CentOS
Posts: 2,098

Rep: Reputation: 102Reputation: 102

you don't install a tar.gz by using rpm. Instead you use the

Code:
.configure
make && make install
I recommend that you get an rpm based install or install yum and use yum to install. Here is a link you can use if you prefer to install using the compile method.

http://www.xenocafe.com/tutorials/li...uirrelmail.php

Last edited by jstephens84; 01-31-2009 at 10:15 AM.
 
Old 01-31-2009, 10:13 AM   #17
jstephens84
Senior Member
 
Registered: Sep 2004
Location: Nashville
Distribution: Manjaro, RHEL, CentOS
Posts: 2,098

Rep: Reputation: 102Reputation: 102
here is a link where I believe you can download the rpm based install. http://rpmfind.net/linux/rpm2html/se...mit=Search+...
 
Old 01-31-2009, 12:30 PM   #18
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,245

Rep: Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527
you DON'T use rpm on a source code tarball .you use rpm on a *.rpm file
squirrelmail-1.4.17.rpm
for a NEW program on a VERY OLD operating system you WILL nood to build from the source code ALL the prerequisites FIRST then build squirrelmail-1.4.17
in the squirrelmail-1.4.17 folder there are two files " README " and "INSTALL" read them

and PLEASE install a modern operating system rh9 is about the same as win 98
would you try to install something for vista on win98 , the answer is NO .
 
Old 01-31-2009, 01:12 PM   #19
jstephens84
Senior Member
 
Registered: Sep 2004
Location: Nashville
Distribution: Manjaro, RHEL, CentOS
Posts: 2,098

Rep: Reputation: 102Reputation: 102
Quote:
Originally Posted by John VV View Post
you DON'T use rpm on a source code tarball .you use rpm on a *.rpm file
squirrelmail-1.4.17.rpm
for a NEW program on a VERY OLD operating system you WILL nood to build from the source code ALL the prerequisites FIRST then build squirrelmail-1.4.17
in the squirrelmail-1.4.17 folder there are two files " README " and "INSTALL" read them

and PLEASE install a modern operating system rh9 is about the same as win 98
would you try to install something for vista on win98 , the answer is NO .
While it is appropriate for people to upgrade there are times when they can't as of now we don't know if this is a server at work or at home. If it is at work then he might be able to just upgrade the server on a whim. Also this is really solving his problem by saying upgrade. While I do support upgrading due to security this is not always possible.
 
Old 02-01-2009, 08:34 AM   #20
dejavoo
LQ Newbie
 
Registered: Jan 2009
Posts: 10

Original Poster
Rep: Reputation: 0
Squirrelmail for Redhat Linux 9

hello,
Please guys help me with this squirrelmail of a thing................
 
Old 02-01-2009, 12:30 PM   #21
jstephens84
Senior Member
 
Registered: Sep 2004
Location: Nashville
Distribution: Manjaro, RHEL, CentOS
Posts: 2,098

Rep: Reputation: 102Reputation: 102
After you extracted it you need to probably issue the following commands.

Code:
.configure
make && make install
what you downloaded were the source files for squirrelmail. This means that you have to compile them. .rpm (red hat, suse, mandrivia) all use these. RPM's are where basically someone that was downloaded the sources and turned them into an rpm. here is a good read http://en.wikipedia.org/wiki/RPM_Package_Manager
 
Old 02-01-2009, 01:02 PM   #22
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,245

Rep: Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527
re

can you answer this
Why are you using rh9 IT IS NOT supported and has not been since 2003

to install squirrlemail on such an OLD OS you are going to need to build the OLD source code version from 2003
http://sourceforge.net/project/showf...package_id=334
version 1.4.0 or OLDER
and build the source
./configure
make
make install

that should build it ( if you have ALL of the prerequisites already installed or built )
 
Old 02-02-2009, 03:04 AM   #23
dejavoo
LQ Newbie
 
Registered: Jan 2009
Posts: 10

Original Poster
Rep: Reputation: 0
Squirrelmail for Redhat Linux 9

hello,
Please i need to install squirremail-1.4.17 and i have downloaded it already on my system.Do i use rpm or what kind of installation method do i need to use.Thanks..........................
 
Old 02-02-2009, 03:16 AM   #24
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,245

Rep: Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527
see my post above
and read the file INSTALL
is php > version 4.1.0 installed
and is a "IMAP" server installed
http://squirrelmail.org/docs/admin/admin-1.html#ss1.1
install doc
http://squirrelmail.org/docs/admin/admin-3.html

Last edited by John VV; 02-02-2009 at 03:39 AM.
 
Old 02-02-2009, 09:51 AM   #25
jstephens84
Senior Member
 
Registered: Sep 2004
Location: Nashville
Distribution: Manjaro, RHEL, CentOS
Posts: 2,098

Rep: Reputation: 102Reputation: 102
Quote:
Originally Posted by dejavoo View Post
hello,
Please i need to install squirremail-1.4.17 and i have downloaded it already on my system.Do i use rpm or what kind of installation method do i need to use.Thanks..........................
I have already posted what you need to do and so has John VV please follow are posts. Also I gave you a quick explanation on the differences between a .tar.gz file and a .rpm. I don't know what else we can do for you
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
access denied on squirrelmail / dovecot / SE Linux policy rioguia Linux - Security 2 07-07-2005 12:25 AM
squirrelmail problem in redhat 9 redhat9newbie Linux - Software 2 08-13-2003 08:59 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 06:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration